=== examples/cmake-how-to-example/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)
PROJECT(SLICOTTEST LANGUAGES C Fortran)

FIND_PACKAGE(SLICOT REQUIRED)

ADD_EXECUTABLE(TAB01MD TAB01MD.f)
TARGET_LINK_LIBRARIES(TAB01MD SLICOT::slicot)
