=== debian/changelog ===
slicot (5.9.1-2) unstable; urgency=medium

  * Do not build ILP64 packages on 32-bit architectures

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 17 Nov 2025 10:14:22 +0100

slicot (5.9.1-1) experimental; urgency=medium

  * New upstream version 5.9.1
  * d/copyright: reflect upstream changes
  * New ILP64 packages and move to CMake build system
    + d/rules: rewrite using new CMake build system
    + SOVERSION bump from 0 to 5 for libslicot, to reflect the SOVERSION in the
      new build system
    + new libslicot64-5 and libslicot64-dev packages for ILP64
    + new libslicot64-pic package that provides the ILP64 PIC version that was
      formerly in libslicot-pic
    + no-pic-by-default.patch: new patch, to ensure that static libraries in
      -dev packages are not compiled with PIC
    + run the testsuite at build time
  * d/control: use proper team name in Maintainer field
  * Drop “Rules-Requires-Root: no”, which is now the default
  * d/watch: upgrade to format version 5
  * d/upstream/metadata: drop non-standard fields
  * libslicot-doc: ship CONTRIBUTING.md, KNOWN_ISSUES.md and CITATION.cff
  * Ship ReleaseNotes.md as upstream changelog
  * libslicot-doc: adapt to new location of libindex.html
  * Bump Standards-Version to 4.7.2

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 15 Nov 2025 17:49:36 +0100
