=== debian/control ===
Source: slicot
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: cmake,
                    gfortran,
                    libblas-dev,
                    liblapack-dev,
                    libblas64-dev [alpha amd64 arm64 hurd-amd64 loong64 mips64el ppc64 ppc64el riscv64 s390x sparc64],
                    liblapack64-dev [alpha amd64 arm64 hurd-amd64 loong64 mips64el ppc64 ppc64el riscv64 s390x sparc64]
Standards-Version: 4.7.2
Section: libs
Homepage: https://www.slicot.org
Vcs-Git: https://salsa.debian.org/science-team/slicot.git
Vcs-Browser: https://salsa.debian.org/science-team/slicot

Package: libslicot5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: numerical algorithms from systems and control theory (shared library)
 SLICOT (Subroutine Library In COntrol Theory) is a general purpose basic
 mathematical library for control theoretical computations. The library
 provides tools to perform essential system analysis and synthesis tasks. The
 main emphasis in SLICOT is on numerical reliability of implemented algorithms
 and the numerical robustness and efficiency of routines. Providing algorithmic
 flexibility and the use of rigorous implementation and documentation standards
 are other SLICOT features.
 .
 SLICOT is written is Fortran 77 and builds upon the numerical linear algebra
 routines from BLAS (Basic Linear Algebra Subroutines) and LAPACK (Linear
 Algebra PACKage).
 .
 This package contains a shared version of the library.

Package: libslicot64-5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: numerical algorithms from systems and control theory (shared library, ILP64)
 SLICOT (Subroutine Library In COntrol Theory) is a general purpose basic
 mathematical library for control theoretical computations. The library
 provides tools to perform essential system analysis and synthesis tasks. The
 main emphasis in SLICOT is on numerical reliability of implemented algorithms
 and the numerical robustness and efficiency of routines. Providing algorithmic
 flexibility and the use of rigorous implementation and documentation standards
 are other SLICOT features.
 .
 SLICOT is written is Fortran 77 and builds upon the numerical linear algebra
 routines from BLAS (Basic Linear Algebra Subroutines) and LAPACK (Linear
 Algebra PACKage).
 .
 This package contains a shared version of the library with 64-bit integers.

Package: libslicot-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libslicot5 (= ${binary:Version}),
         libblas-dev,
         liblapack-dev,
         ${misc:Depends}
Suggests: libslicot-doc
Description: numerical algorithms from systems and control theory (static library)
 SLICOT (Subroutine Library In COntrol Theory) is a general purpose basic
 mathematical library for control theoretical computations. The library
 provides tools to perform essential system analysis and synthesis tasks. The
 main emphasis in SLICOT is on numerical reliability of implemented algorithms
 and the numerical robustness and efficiency of routines. Providing algorithmic
 flexibility and the use of rigorous implementation and documentation standards
 are other SLICOT features.
 .
 SLICOT is written is Fortran 77 and builds upon the numerical linear algebra
 routines from BLAS (Basic Linear Algebra Subroutines) and LAPACK (Linear
 Algebra PACKage).
 .
 This package contains a static version of the library.

Package: libslicot64-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libslicot64-5 (= ${binary:Version}),
         libblas64-dev,
         liblapack64-dev,
         ${misc:Depends}
Suggests: libslicot-doc
Description: numerical algorithms from systems and control theory (static library, ILP64)
 SLICOT (Subroutine Library In COntrol Theory) is a general purpose basic
 mathematical library for control theoretical computations. The library
 provides tools to perform essential system analysis and synthesis tasks. The
 main emphasis in SLICOT is on numerical reliability of implemented algorithms
 and the numerical robustness and efficiency of routines. Providing algorithmic
 flexibility and the use of rigorous implementation and documentation standards
 are other SLICOT features.
 .
 SLICOT is written is Fortran 77 and builds upon the numerical linear algebra
 routines from BLAS (Basic Linear Algebra Subroutines) and LAPACK (Linear
 Algebra PACKage).
 .
 This package contains a static version of the library with 64-bit integers.

Package: libslicot-pic
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Breaks: dynare-matlab (<= 6.4-3)
Description: numerical algorithms from systems and control theory (static PIC library)
 SLICOT (Subroutine Library In COntrol Theory) is a general purpose basic
 mathematical library for control theoretical computations. The library
 provides tools to perform essential system analysis and synthesis tasks. The
 main emphasis in SLICOT is on numerical reliability of implemented algorithms
 and the numerical robustness and efficiency of routines. Providing algorithmic
 flexibility and the use of rigorous implementation and documentation standards
 are other SLICOT features.
 .
 SLICOT is written is Fortran 77 and builds upon the numerical linear algebra
 routines from BLAS (Basic Linear Algebra Subroutines) and LAPACK (Linear
 Algebra PACKage).
 .
 This package contains a static version of the library compiled with position
 independent code (PIC). This package is provided for other packages to create
 their own dynamic objects. You normally do not need it, unless you have
 special needs.

Package: libslicot64-pic
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Breaks: libslicot-pic (<< 5.9.1-1~)
Replaces: libslicot-pic (<< 5.9.1-1~)
Description: numerical algorithms from systems and control theory (static PIC library, ILP64)
 SLICOT (Subroutine Library In COntrol Theory) is a general purpose basic
 mathematical library for control theoretical computations. The library
 provides tools to perform essential system analysis and synthesis tasks. The
 main emphasis in SLICOT is on numerical reliability of implemented algorithms
 and the numerical robustness and efficiency of routines. Providing algorithmic
 flexibility and the use of rigorous implementation and documentation standards
 are other SLICOT features.
 .
 SLICOT is written is Fortran 77 and builds upon the numerical linear algebra
 routines from BLAS (Basic Linear Algebra Subroutines) and LAPACK (Linear
 Algebra PACKage).
 .
 This package contains a static version of the library compiled with position
 independent code (PIC) and 64-bit integers. This package is provided for other
 packages to create their own dynamic objects. You normally do not need it,
 unless you have special needs.

Package: libslicot-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libslicot-dev,
          libslicot64-dev
Multi-Arch: foreign
Description: numerical algorithms from systems and control theory (documentation)
 SLICOT (Subroutine Library In COntrol Theory) is a general purpose basic
 mathematical library for control theoretical computations. The library
 provides tools to perform essential system analysis and synthesis tasks. The
 main emphasis in SLICOT is on numerical reliability of implemented algorithms
 and the numerical robustness and efficiency of routines. Providing algorithmic
 flexibility and the use of rigorous implementation and documentation standards
 are other SLICOT features.
 .
 SLICOT is written is Fortran 77 and builds upon the numerical linear algebra
 routines from BLAS (Basic Linear Algebra Subroutines) and LAPACK (Linear
 Algebra PACKage).
 .
 This package contains the documentation of all the routines. It also contains
 associated example programs, data and results for many routines.
