=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Get compilation flags from dpkg-buildflags
include /usr/share/dpkg/default.mk

ifneq (64,$(DEB_HOST_ARCH_BITS))
export DH_OPTIONS = -Nlibslicot64-5 -Nlibslicot64-dev -Nlibslicot64-pic
endif

%:
	dh $@

override_dh_auto_configure-arch:
	dh_auto_configure -Bbuild-32-shared -- \
		-DBLA_VENDOR=Generic -DSLICOT_INTEGER8=OFF
	dh_auto_configure -Bbuild-32-static -- \
		-DBLA_VENDOR=Generic -DSLICOT_INTEGER8=OFF \
		-DBUILD_SHARED_LIBS=OFF \
		-DSLICOT_TESTING=OFF
	dh_auto_configure -Bbuild-32-pic -- \
		-DBLA_VENDOR=Generic -DSLICOT_INTEGER8=OFF \
		-DBUILD_SHARED_LIBS=OFF -DCMAKE_POSITION_INDEPENDENT_CODE=TRUE \
		-DSLICOT_TESTING=OFF
ifeq (64,$(DEB_HOST_ARCH_BITS))
	dh_auto_configure -Bbuild-64-shared -- \
		-DBLA_VENDOR=Generic -DSLICOT_INTEGER8=ON
	dh_auto_configure -Bbuild-64-static -- \
		-DBLA_VENDOR=Generic -DSLICOT_INTEGER8=ON \
		-DBUILD_SHARED_LIBS=OFF \
		-DSLICOT_TESTING=OFF
	dh_auto_configure -Bbuild-64-pic -- \
		-DBLA_VENDOR=Generic -DSLICOT_INTEGER8=ON \
		-DBUILD_SHARED_LIBS=OFF -DCMAKE_POSITION_INDEPENDENT_CODE=TRUE \
		-DSLICOT_TESTING=OFF
endif

override_dh_auto_configure-indep:

override_dh_auto_build-arch:
	dh_auto_build -Bbuild-32-shared
	dh_auto_build -Bbuild-32-static
	dh_auto_build -Bbuild-32-pic
ifeq (64,$(DEB_HOST_ARCH_BITS))
	dh_auto_build -Bbuild-64-shared
	dh_auto_build -Bbuild-64-static
	dh_auto_build -Bbuild-64-pic
endif

override_dh_auto_build-indep:

override_dh_auto_test-arch:
	dh_auto_test -Bbuild-32-shared
ifeq (64,$(DEB_HOST_ARCH_BITS))
	dh_auto_test -Bbuild-64-shared
endif

override_dh_auto_test-indep:

override_dh_auto_install-arch:
	dh_auto_install -Bbuild-32-shared
	dh_auto_install -Bbuild-64-shared
	cp build-32-static/lib/libslicot.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
	cp build-32-pic/lib/libslicot.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libslicot_pic.a
ifeq (64,$(DEB_HOST_ARCH_BITS))
	cp build-64-static/lib/libslicot64.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
	cp build-64-pic/lib/libslicot64.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libslicot64_pic.a
endif

override_dh_auto_install-indep:

override_dh_auto_clean:
	dh_auto_clean -Bbuild-32-shared
	dh_auto_clean -Bbuild-32-static
	dh_auto_clean -Bbuild-32-pic
ifeq (64,$(DEB_HOST_ARCH_BITS))
	dh_auto_clean -Bbuild-64-shared
	dh_auto_clean -Bbuild-64-static
	dh_auto_clean -Bbuild-64-pic
endif

override_dh_installchangelogs:
	dh_installchangelogs ReleaseNotes.md
