=== debian/watch ===
Version: 5

Template: GitHub
Owner: SLICOT
Project: SLICOT-Reference
